package refTests;

import org.apache.commons.math3.util.FastMath;
import org.junit.Assert;
import org.junit.Test;

import fr.cnes.celestlab.celestlabx.generic.Params;

public class Test02_CLx_stelaConvert extends RefTests {

	double[] delta_t = new double[] { 864000.0 };
	double[] cjd = new double[] { cjd0 + delta_t[0] / 86400. };

	double[][] x_meanValRef = new double[][] { { 24678.105496184424 * 1000,
			0.715994110819317, 0.044380076018184916, 0.0871953024197526,
			-0.00555460551584653, 147.76922492395448 * FastMath.PI / 180 } };

	double[][] x_oscValRef = new double[][] { { 24673.648650853327 * 1000,
			0.7159145418044449, 0.044573784859891406, 0.08719417306750195,
			-0.00557958673924267, 147.78483975046908 * FastMath.PI / 180 } };

	/**
	 * Equivalent to Scilab test CLx_stela_convert.tst - test 1
	 * @throws Exception 
	 */
	@Test
	public void test01() throws Exception {
		initStela();

		// Parameters
		InitParams initParams = new InitParams();
		Params params = initParams.getParams();

		double[][] oscVal = CLx_stela_convert("mean2osc", cjd, x_meanValRef,
				params, ut1_tref, tt_tref);

		// Compare Res to Ref
		Assert.assertArrayEquals(x_oscValRef[0], oscVal[0], 1.0e-15);

	}

	/**
	 * Equivalent to Scilab test CLx_stela_convert.tst - test 2
	 * @throws Exception 
	 */
	@Test
	public void test02() throws Exception {
		initStela();

		// Parameters
		InitParams initParams = new InitParams();
		Params params = initParams.getParams();

		double[][] meanVal = CLx_stela_convert("osc2mean", cjd, x_oscValRef,
				params, ut1_tref, tt_tref);

		// Compare Res to Ref
		Assert.assertArrayEquals(x_meanValRef[0], meanVal[0], 1.0e-15);

	}

}
